% This software is offered under the GNU General Public License 3.0.  It 
% is offered without any warranty expressed or implied, including the 
% implied warranties of merchantability or fitness for a particular 
% purpose.
%
% Written by Nicholas Dwork and Gennifer Smith

function meanEtbDepth = findErrorMetrics(muFit,trueMu,...
  z,offsetThreshPercent)

  [~, N] = size(muFit);

  etbDepths = zeros(1,N);

  for i=1:N
    thisETB = findErrorEnergyTooBigDepth( offsetThreshPercent, ...
      trueMu(:,i), muFit(:,i), z );

    etbDepths(i) = thisETB;
  end

  meanEtbDepth = mean(etbDepths);
end

